classification
Title: Python 3.1 fails to build when db.h contains non-UTF-8 characters
Type: Stage: patch review
Components: Build Versions: Python 3.1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Arfrever, benjamin.peterson
Priority: normal Keywords: patch

Created on 2009-08-10 22:47 by Arfrever, last changed 2009-08-12 18:18 by benjamin.peterson. This issue is now closed.

Files
File name Uploaded Description Edit
python-3.1-setup.py.patch Arfrever, 2009-08-10 22:47 python-3.1-setup.py.patch
Messages (2)
msg91465 - (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) * (Python triager) Date: 2009-08-10 22:47
Python 3.1 fails to build when db.h contains non-UTF-8 characters.
Python 3.1 checks for db.h even though Python 3 doesn't contain bsddb
module.

See also https://bugs.gentoo.org/show_bug.cgi?id=280001

Please at least apply the attached patch, or completely remove check
for db.h.
msg91501 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2009-08-12 18:18
Fixed in r74357.
History
Date User Action Args
2009-08-12 18:18:22benjamin.petersonsetstatus: open -> closed

nosy: + benjamin.peterson
messages: + msg91501

resolution: fixed
2009-08-11 19:04:26brett.cannonsetstage: patch review
2009-08-10 22:47:22Arfrevercreate